#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <time.h>
#include <gnome.h>

#include "audio.h"
#include "calc.h"
#include "note.h"
#include "interface.h"

int debug=0;
int interval;

int main(int argc, char **argv) {
	
	/* run the console in status mode to get what our interval should be */
	if(fork() == 0) 
	{	
		execlp("gtune_console", "gtune_console","-w", NULL);
		printf("Could not find gtune_console, run ./runme again\ngtune_console is neccesary for proper execution of gtune\n");
  		return 0;
  	}
        
	gnome_init ("gTune", "0.10", argc, argv);
       	
	do_gnome_stuff();
	
	gtk_main();

	CloseAudio();

	return 0;
}


